Probleme d'install Postfix-Mysql

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Probleme d'install Postfix-Mysql

mamisoa ramambasoa
bonjour la liste
je suis en train d'installer sous Openbsd 4.4 un serveur mail avec Postfix
et mysql avec les ports et je me retrouve avec un message d'erreur que je ne
comprends pas et l'installation s'arrête.
Voici le message affiché :

===> mail/postfix/stable
===> mail/postfix/stable,ldap
===>  Installing postfix-2.5.3-ldap from /usr/ports/packages/i386/all/
Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
/usr/sbin/pkg_add: postfix-2.5.3-ldap:Fatal error
*** Error code 1

Stop in /usr/ports/mail/postfix/stable (line 1452 of
/usr/ports/infrastructure/mk/bsd.port.mk).
===> Exiting mail/postfix/stable,ldap with an error
*** Error code 1

Stop in /usr/ports/mail/postfix (line 124 of /usr/ports/infrastructure/mk/
bsd.port.subdir.mk).

Une chose que je comprends pas non plus l'intégration de ldap dedans car j'
ai lancé la commande suivante :
env FLAVOR="mysql sasl2" make install
Peut être, vous allez  m'eclaircir un peu car je ne vois pas du tout
merci encore
Reply | Threaded
Open this post in threaded view
|

Re: Probleme d'install Postfix-Mysql

Julien C-2
Bonjour,

tu as deja un postfix installé l'erreur est claire pourtant,
Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
pkg_delete postfix-2.5.3

de mémoire il supprime pas /etc/postifx, au cas ou save quand meme main,
master, alias, virtual, mysql_?

/usr/ports/mail/postfix/stable
make clean
cvs up -rOPENBSD_4_4 -Pd
make show=FLAVORS
env FLAVORS="sasl2 mysql" make && env FLAVORS="sasl2 mysql" make install ;
make clean

et normalement c'est ok

Si ce n'est pas deja ta doc, je te conseil le site kernel-panic.it
http://www.kernel-panic.it/openbsd/mail/
++

2009/4/30 mamisoa ramambasoa <[hidden email]>

> bonjour la liste
> je suis en train d'installer sous Openbsd 4.4 un serveur mail avec Postfix
> et mysql avec les ports et je me retrouve avec un message d'erreur que je
> ne
> comprends pas et l'installation s'arrête.
> Voici le message affiché :
>
> ===> mail/postfix/stable
> ===> mail/postfix/stable,ldap
> ===>  Installing postfix-2.5.3-ldap from /usr/ports/packages/i386/all/
> Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
> /usr/sbin/pkg_add: postfix-2.5.3-ldap:Fatal error
> *** Error code 1
>
> Stop in /usr/ports/mail/postfix/stable (line 1452 of
> /usr/ports/infrastructure/mk/bsd.port.mk).
> ===> Exiting mail/postfix/stable,ldap with an error
> *** Error code 1
>
> Stop in /usr/ports/mail/postfix (line 124 of /usr/ports/infrastructure/mk/
> bsd.port.subdir.mk).
>
> Une chose que je comprends pas non plus l'intégration de ldap dedans car j'
> ai lancé la commande suivante :
> env FLAVOR="mysql sasl2" make install
> Peut être, vous allez  m'eclaircir un peu car je ne vois pas du tout
> merci encore
>
Reply | Threaded
Open this post in threaded view
|

Re: Probleme d'install Postfix-Mysql

mamisoa ramambasoa
Merci pour la rapidité.
J'ai trouvé la cause.
 J'ai lancé la premiere install à partir de :
/usr/ports/mail/postfix, il y avait une erreur mais je ne me rappelle plus,
aprés j'ai lancé une deuxieme install sans désinstaller postfix  de la
premiere install, doù ce message d'erreur, mais je ne comprends pas encore
pourquoi ldap est mentionné dedans car lors de l'install j'ai demandé "mysql
sasl2".
J'ai suivi vos conseils là et l'install s'est bien passé.
 Merci encore

Le 30 avril 2009 19:52, julien c <[hidden email]> a écrit :

> Bonjour,
>
> tu as deja un postfix installé l'erreur est claire pourtant,
> Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
> pkg_delete postfix-2.5.3
>
> de mémoire il supprime pas /etc/postifx, au cas ou save quand meme main,
> master, alias, virtual, mysql_?
>
> /usr/ports/mail/postfix/stable
> make clean
> cvs up -rOPENBSD_4_4 -Pd
> make show=FLAVORS
> env FLAVORS="sasl2 mysql" make && env FLAVORS="sasl2 mysql" make install ;
> make clean
>
> et normalement c'est ok
>
> Si ce n'est pas deja ta doc, je te conseil le site kernel-panic.it
> http://www.kernel-panic.it/openbsd/mail/
> ++
>
> 2009/4/30 mamisoa ramambasoa <[hidden email]>
>
> > bonjour la liste
> > je suis en train d'installer sous Openbsd 4.4 un serveur mail avec
> Postfix
> > et mysql avec les ports et je me retrouve avec un message d'erreur que je
> > ne
> > comprends pas et l'installation s'arrête.
> > Voici le message affiché :
> >
> > ===> mail/postfix/stable
> > ===> mail/postfix/stable,ldap
> > ===>  Installing postfix-2.5.3-ldap from /usr/ports/packages/i386/all/
> > Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
> > /usr/sbin/pkg_add: postfix-2.5.3-ldap:Fatal error
> > *** Error code 1
> >
> > Stop in /usr/ports/mail/postfix/stable (line 1452 of
> > /usr/ports/infrastructure/mk/bsd.port.mk).
> > ===> Exiting mail/postfix/stable,ldap with an error
> > *** Error code 1
> >
> > Stop in /usr/ports/mail/postfix (line 124 of
> /usr/ports/infrastructure/mk/
> > bsd.port.subdir.mk).
> >
> > Une chose que je comprends pas non plus l'intégration de ldap dedans car
> j'
> > ai lancé la commande suivante :
> > env FLAVOR="mysql sasl2" make install
> > Peut être, vous allez  m'eclaircir un peu car je ne vois pas du tout
> > merci encore
> >
>
Reply | Threaded
Open this post in threaded view
|

Re: Probleme d'install Postfix-Mysql

mamisoa ramambasoa
bonsoir à tous
Voila j'ai progressé dans l'install de mon server mail grace à vos
conseils, actuellement je voudrais integrer PHP5 avec apache mais
impossible, la page de test "index.php" contenant phpinfo me renvoie
une page blanche.
Comment fait on pour savoir si php est bien integré par apache car je
n'ai pas d'autre moyen de le verifier.
J'ai lancé l'install à partir de la commande pkg_add -v php5-mysql et
en suivant toutes les       recommandations, Apache marche dèja avec
l'option "-u".
Merci

Le 30/04/09, mamisoa ramambasoa<[hidden email]> a écrit :

> Merci pour la rapidité.
> J'ai trouvé la cause.
>  J'ai lancé la premiere install à partir de :
> /usr/ports/mail/postfix, il y avait une erreur mais je ne me rappelle plus,
> aprés j'ai lancé une deuxieme install sans désinstaller postfix  de la
> premiere install, doù ce message d'erreur, mais je ne comprends pas encore
> pourquoi ldap est mentionné dedans car lors de l'install j'ai demandé
> "mysql
> sasl2".
> J'ai suivi vos conseils là et l'install s'est bien passé.
>  Merci encore
>
> Le 30 avril 2009 19:52, julien c <[hidden email]> a écrit :
>
>> Bonjour,
>>
>> tu as deja un postfix installé l'erreur est claire pourtant,
>> Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
>> pkg_delete postfix-2.5.3
>>
>> de mémoire il supprime pas /etc/postifx, au cas ou save quand meme main,
>> master, alias, virtual, mysql_?
>>
>> /usr/ports/mail/postfix/stable
>> make clean
>> cvs up -rOPENBSD_4_4 -Pd
>> make show=FLAVORS
>> env FLAVORS="sasl2 mysql" make && env FLAVORS="sasl2 mysql" make install
>> ;
>> make clean
>>
>> et normalement c'est ok
>>
>> Si ce n'est pas deja ta doc, je te conseil le site kernel-panic.it
>> http://www.kernel-panic.it/openbsd/mail/
>> ++
>>
>> 2009/4/30 mamisoa ramambasoa <[hidden email]>
>>
>> > bonjour la liste
>> > je suis en train d'installer sous Openbsd 4.4 un serveur mail avec
>> Postfix
>> > et mysql avec les ports et je me retrouve avec un message d'erreur que
>> > je
>> > ne
>> > comprends pas et l'installation s'arrête.
>> > Voici le message affiché :
>> >
>> > ===> mail/postfix/stable
>> > ===> mail/postfix/stable,ldap
>> > ===>  Installing postfix-2.5.3-ldap from /usr/ports/packages/i386/all/
>> > Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
>> > /usr/sbin/pkg_add: postfix-2.5.3-ldap:Fatal error
>> > *** Error code 1
>> >
>> > Stop in /usr/ports/mail/postfix/stable (line 1452 of
>> > /usr/ports/infrastructure/mk/bsd.port.mk).
>> > ===> Exiting mail/postfix/stable,ldap with an error
>> > *** Error code 1
>> >
>> > Stop in /usr/ports/mail/postfix (line 124 of
>> /usr/ports/infrastructure/mk/
>> > bsd.port.subdir.mk).
>> >
>> > Une chose que je comprends pas non plus l'intégration de ldap dedans
>> > car
>> j'
>> > ai lancé la commande suivante :
>> > env FLAVOR="mysql sasl2" make install
>> > Peut être, vous allez  m'eclaircir un peu car je ne vois pas du tout
>> > merci encore
>> >
>>
>

________________________________
French OpenBSD mailing list
[hidden email]
http://www.openbsd-france.org/ml

Reply | Threaded
Open this post in threaded view
|

Re: Probleme d'install Postfix-Mysql

Julien C-2
Bonjour,

editez httpd.conf
enlever le # devant :
AddType application/x-httpd-php .php
apachectl reload

l'option -u desactive le chroot, qu'elle interet ?
aprés l'install de pkg_add -v php5-mysql
il ne faut pas oublier de linker

/var/www/conf/php5/mysql.ini avec  /var/www/conf/php5.sample/mysql.ini
Ca devrait rouler.

ps: jette un coup d'oeil au log
tail /var/www/logs/error_log

++



Le 2 mai 2009 23:45, mamisoa ramambasoa <[hidden email]> a écrit :

> bonsoir à tous
> Voila j'ai progressé dans l'install de mon server mail grace à vos
> conseils, actuellement je voudrais integrer PHP5 avec apache mais
> impossible, la page de test "index.php" contenant phpinfo me renvoie
> une page blanche.
> Comment fait on pour savoir si php est bien integré par apache car je
> n'ai pas d'autre moyen de le verifier.
> J'ai lancé l'install à partir de la commande pkg_add -v php5-mysql et
> en suivant toutes les                   recommandations, Apache marche dèja
> avec
> l'option "-u".
> Merci
>
> Le 30/04/09, mamisoa ramambasoa<[hidden email]> a écrit :
> > Merci pour la rapidité.
> > J'ai trouvé la cause.
> >  J'ai lancé la premiere install à partir de :
> > /usr/ports/mail/postfix, il y avait une erreur mais je ne me rappelle
> plus,
> > aprés j'ai lancé une deuxieme install sans désinstaller postfix  de la
> > premiere install, doù ce message d'erreur, mais je ne comprends pas
> encore
> > pourquoi ldap est mentionné dedans car lors de l'install j'ai demandé
> > "mysql
> > sasl2".
> > J'ai suivi vos conseils là et l'install s'est bien passé.
> >  Merci encore
> >
> > Le 30 avril 2009 19:52, julien c <[hidden email]> a écrit :
> >
> >> Bonjour,
> >>
> >> tu as deja un postfix installé l'erreur est claire pourtant,
> >> Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
> >> pkg_delete postfix-2.5.3
> >>
> >> de mémoire il supprime pas /etc/postifx, au cas ou save quand meme main,
> >> master, alias, virtual, mysql_?
> >>
> >> /usr/ports/mail/postfix/stable
> >> make clean
> >> cvs up -rOPENBSD_4_4 -Pd
> >> make show=FLAVORS
> >> env FLAVORS="sasl2 mysql" make && env FLAVORS="sasl2 mysql" make install
> >> ;
> >> make clean
> >>
> >> et normalement c'est ok
> >>
> >> Si ce n'est pas deja ta doc, je te conseil le site kernel-panic.it
> >> http://www.kernel-panic.it/openbsd/mail/
> >> ++
> >>
> >> 2009/4/30 mamisoa ramambasoa <[hidden email]>
> >>
> >> > bonjour la liste
> >> > je suis en train d'installer sous Openbsd 4.4 un serveur mail avec
> >> Postfix
> >> > et mysql avec les ports et je me retrouve avec un message d'erreur que
> >> > je
> >> > ne
> >> > comprends pas et l'installation s'arrête.
> >> > Voici le message affiché :
> >> >
> >> > ===> mail/postfix/stable
> >> > ===> mail/postfix/stable,ldap
> >> > ===>  Installing postfix-2.5.3-ldap from /usr/ports/packages/i386/all/
> >> > Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
> >> > /usr/sbin/pkg_add: postfix-2.5.3-ldap:Fatal error
> >> > *** Error code 1
> >> >
> >> > Stop in /usr/ports/mail/postfix/stable (line 1452 of
> >> > /usr/ports/infrastructure/mk/bsd.port.mk).
> >> > ===> Exiting mail/postfix/stable,ldap with an error
> >> > *** Error code 1
> >> >
> >> > Stop in /usr/ports/mail/postfix (line 124 of
> >> /usr/ports/infrastructure/mk/
> >> > bsd.port.subdir.mk).
> >> >
> >> > Une chose que je comprends pas non plus l'intégration de ldap dedans
> >> > car
> >> j'
> >> > ai lancé la commande suivante :
> >> > env FLAVOR="mysql sasl2" make install
> >> > Peut être, vous allez  m'eclaircir un peu car je ne vois pas du tout
> >> > merci encore
> >> >
> >>
> >
>
> ________________________________
> French OpenBSD mailing list
> [hidden email]
> http://www.openbsd-france.org/ml
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Probleme d'install Postfix-Mysql

mamisoa ramambasoa
bonjour
tout ça est fait depuis mais la page reste vide.
Je ne vois pas du tout la cause. J'avoue que je suis perdu.

Voici le message contenu de la commande tail /var/www/logs/error_log:

[Mon May  4 23:37:36 2009] [notice] chrooted in /var/www
[Mon May  4 23:37:36 2009] [notice] changed to uid 67, gid 67
[Mon May  4 23:37:36 2009] [notice] Apache configured -- resuming normal
operations
[Mon May  4 23:37:36 2009] [notice] Accept mutex: sysvsem (Default: sysvsem)

+++

Le 3 mai 2009 14:01, julien c <[hidden email]> a écrit :

> Bonjour,
>
> editez httpd.conf
> enlever le # devant :
> AddType application/x-httpd-php .php
> apachectl reload
>
> l'option -u desactive le chroot, qu'elle interet ?
> aprés l'install de pkg_add -v php5-mysql
> il ne faut pas oublier de linker
>
> /var/www/conf/php5/mysql.ini avec  /var/www/conf/php5.sample/mysql.ini
> Ca devrait rouler.
>
> ps: jette un coup d'oeil au log
> tail /var/www/logs/error_log
>
> ++
>
>
>
> Le 2 mai 2009 23:45, mamisoa ramambasoa <[hidden email]> a écrit :
>
> > bonsoir à tous
> > Voila j'ai progressé dans l'install de mon server mail grace à vos
> > conseils, actuellement je voudrais integrer PHP5 avec apache mais
> > impossible, la page de test "index.php" contenant phpinfo me renvoie
> > une page blanche.
> > Comment fait on pour savoir si php est bien integré par apache car je
> > n'ai pas d'autre moyen de le verifier.
> > J'ai lancé l'install à partir de la commande pkg_add -v php5-mysql et
> > en suivant toutes les                   recommandations, Apache marche
> dèja
> > avec
> > l'option "-u".
> > Merci
> >
> > Le 30/04/09, mamisoa ramambasoa<[hidden email]> a écrit :
> > > Merci pour la rapidité.
> > > J'ai trouvé la cause.
> > >  J'ai lancé la premiere install à partir de :
> > > /usr/ports/mail/postfix, il y avait une erreur mais je ne me rappelle
> > plus,
> > > aprés j'ai lancé une deuxieme install sans désinstaller postfix  de la
> > > premiere install, doù ce message d'erreur, mais je ne comprends pas
> > encore
> > > pourquoi ldap est mentionné dedans car lors de l'install j'ai demandé
> > > "mysql
> > > sasl2".
> > > J'ai suivi vos conseils là et l'install s'est bien passé.
> > >  Merci encore
> > >
> > > Le 30 avril 2009 19:52, julien c <[hidden email]> a écrit :
> > >
> > >> Bonjour,
> > >>
> > >> tu as deja un postfix installé l'erreur est claire pourtant,
> > >> Can't install postfix-2.5.3-ldap because of conflicts (postfix-2.5.3)
> > >> pkg_delete postfix-2.5.3
> > >>
> > >> de mémoire il supprime pas /etc/postifx, au cas ou save quand meme
> main,
> > >> master, alias, virtual, mysql_?
> > >>
> > >> /usr/ports/mail/postfix/stable
> > >> make clean
> > >> cvs up -rOPENBSD_4_4 -Pd
> > >> make show=FLAVORS
> > >> env FLAVORS="sasl2 mysql" make && env FLAVORS="sasl2 mysql" make
> install
> > >> ;
> > >> make clean
> > >>
> > >> et normalement c'est ok
> > >>
> > >> Si ce n'est pas deja ta doc, je te conseil le site kernel-panic.it
> > >> http://www.kernel-panic.it/openbsd/mail/
> > >> ++
> > >>
> > >> 2009/4/30 mamisoa ramambasoa <[hidden email]>
> > >>
> > >> > bonjour la liste
> > >> > je suis en train d'installer sous Openbsd 4.4 un serveur mail avec
> > >> Postfix
> > >> > et mysql avec les ports et je me retrouve avec un message d'erreur
> que
> > >> > je
> > >> > ne
> > >> > comprends pas et l'installation s'arrête.
> > >> > Voici le message affiché :
> > >> >
> > >> > ===> mail/postfix/stable
> > >> > ===> mail/postfix/stable,ldap
> > >> > ===>  Installing postfix-2.5.3-ldap from
> /usr/ports/packages/i386/all/
> > >> > Can't install postfix-2.5.3-ldap because of conflicts
> (postfix-2.5.3)
> > >> > /usr/sbin/pkg_add: postfix-2.5.3-ldap:Fatal error
> > >> > *** Error code 1
> > >> >
> > >> > Stop in /usr/ports/mail/postfix/stable (line 1452 of
> > >> > /usr/ports/infrastructure/mk/bsd.port.mk).
> > >> > ===> Exiting mail/postfix/stable,ldap with an error
> > >> > *** Error code 1
> > >> >
> > >> > Stop in /usr/ports/mail/postfix (line 124 of
> > >> /usr/ports/infrastructure/mk/
> > >> > bsd.port.subdir.mk).
> > >> >
> > >> > Une chose que je comprends pas non plus l'intégration de ldap dedans
> > >> > car
> > >> j'
> > >> > ai lancé la commande suivante :
> > >> > env FLAVOR="mysql sasl2" make install
> > >> > Peut être, vous allez  m'eclaircir un peu car je ne vois pas du tout
> > >> > merci encore
> > >> >
> > >>
> > >
> >
> > ________________________________
> > French OpenBSD mailing list
> > [hidden email]
> > http://www.openbsd-france.org/ml
> >
> >
>